Bug 1257891 - firefox build failes on ppc64
firefox build failes on ppc64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
23
ppc64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 06:33 EDT by Ngo Than
Modified: 2015-09-16 05:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-16 05:26:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ngo Than 2015-08-28 06:33:01 EDT
firefox-40.0.3-1 build failes with the folling error on ppc64

In file included from /builddir/build/BUILD/firefox-40.0.3/mozilla-release/objdir/widget/gtk/Unified_cpp_widget_gtk1.cpp:11:0:
/builddir/build/BUILD/firefox-40.0.3/mozilla-release/widget/gtk/nsNativeThemeGTK.cpp:37:38: fatal error: mozilla/gfx/HelpersCairo.h: No such file or directory
compilation terminated.
/builddir/build/BUILD/firefox-40.0.3/mozilla-release/config/rules.mk:946: recipe for target 'Unified_cpp_widget_gtk1.o' failed
make[5]: *** [Unified_cpp_widget_gtk1.o] Error 1
make[5]: *** Waiting for unfinished jobs....
make[5]: Entering directory '/builddir/build/BUILD/firefox-40.0.3/mozilla-release/objdir/dom/json'
mkdir -p '.deps/'
Unified_cpp_dom_json0.o

For more info please take a look at
http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/3547/2723547/build.log
Comment 1 Martin Stransky 2015-09-02 16:35:20 EDT
Added to Firefox-40.0.3-2
Comment 2 Ngo Than 2015-09-16 05:26:24 EDT
confirmed the fix in firefox-41.0-1.fc23

http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=344010

Note You need to log in before you can comment on or make changes to this bug.